﻿<!-- 瀑布流图中用户动作显示的模板（仅当动作可能是多种的情况下使用，目前只用于个人主页） -->
<script id="actionTemplate" type="text/x-jQuery-tmpl">
    <div class="info f">
        <ul class="clearfix" style="border:none;">
            <li class="li1">
                {{tmpl({username: username, dd: 25, pd: 30}) '#userProfilePhotoTemplate'}}               
            </li>
            <li class="li2">              
                <a href="/user/${username}">${displayName}</a>&nbsp;{{if !original}} 收纳到{{else}}分享到{{/if}}&nbsp;{{tmpl({id: albumId, username: username, name: albumName}) "#albumLinkTemplate"}}
                <span class="time ColorC1">${collectTimeFormatted}</span>
            </li> 
        </ul>     
    </div>
</script>

<!-- 瀑布流图片显示模板 - 个人主页 -->
<script id="myGalleryTemplate" type="text/x-jQuery-tmpl">
    {{each pictures.list}}<li class="pic" data-reply-count="${replyCol.count}" data-picture-id="${id}" data-collect-count="${numberOfCol}" data-mine="{{if myColAlbumId == albumId}}1{{else}}0{{/if}}">
        {{tmpl($value) '#actionTemplate'}}
        {{tmpl($value) "#galleryPictureTemplate"}}

        <div class="comments">
            <a href="javascript:void(0)" class="likeBtn x float_l {{if likedByMe}}like{{/if}}" title="被喜欢" data-picture-id=${id}>喜欢<span class="likeCount">{{if likeCount}}(${likeCount}){{/if}}</span></a>
            <a class="float_r replyInPageBtn" data-picture-id="${id}" href="javascript:void(0)">评论
            <span class="replyCount">
             {{if replyCol.count != 0}}
                 (${replyCol.count})
             {{/if}}
             </span>
            </a>
        </div>
		<div class="font">
        	{{if price}}<a href="{{if taobaolink}}${taobaolink}{{else}}${pageUrl}{{/if}}" target="_blank"><img src="/img/PublicListBuyBtn.png" width="17" height="15" style="margin-bottom:-3px; margin-right:5px;"></a>{{/if}}${description}
        </div>
		<div class="f">
            {{if !original}}
            <ul class="clearfix" style="border:none;">
               <li class="li1">
                   {{tmpl({username: owner, dd: 25, pd: 30}) '#userProfilePhotoTemplate'}}               
               <li class="li2">
                 <a href="/user/${owner}">${ownerNick}</a>&nbsp;&nbsp;分享到&nbsp;&nbsp;{{tmpl({id: originalAlbumId, username: owner, name: originalAlbumName}) "#albumLinkTemplate"}}&nbsp;</li>   
            </ul>
            {{/if}}
            <div class="replyDialogInPage" style="display:none">
                <textarea class="replyTextArea"></textarea>
                <input type="button" value="评论" class="postReplyInPage"/>
            </div>
            {{tmpl(replyCol.list) "#shortReplyTemplate"}}
         </div>
         <div class="clear"></div>
          <div class="ft"></div>
      </li>{{/each}}
</script>